Data Domain: Firmware mismatch alert following DDOS upgrade

           

   Article Number:     534909                                   Article Version: 3     Article Type:    Break Fix 
   

 


Product:

 

DD6300 Appliance,Data Domain,DD OS 6.2,DD6800 Appliance,DD9300 Appliance

 

Issue:

 

 

Data Domain systems (DD6300 / DD6800 / DD9300) may report an incompatible firmware (FW) version after upgrading the DD Operating System (DDOS) to version 6.2.0.x.   
   
    Applies To:   

         
  •         DD6300 / DD6800 / DD9300     
  •      
  •         DDOS >= 6.2.0.x     
  •    
   
    Symptoms:   
         
  •         DDOS upgraded from 6.1.x to version 6.2.x     
  •      
  •         A similar alert below will be registered on the system after Data Domain OS is upgraded.     
  •    
DDHDW EVT-FIRMWARE-00001: Current firmware version is not certified for DDOS version 6.2.0.5-608869.     
         
  •         The following messages will be found in BIOS.txt from the autosupport or a live system following the DDOS upgrade.      
  •    
   b | 06/17/2019 | 23:46:23 | EPOST Warning Messages Motherboard | Miscellaneous | Asserted       
               ELOG(84) WARNING: BIOS(BIOS ROM) Resume FW revision 37.69 doesn't match Image revision 37.68       
           c | 06/17/2019 | 23:46:23 | EPOST Warning Messages Motherboard | Miscellaneous | Asserted       
               ELOG(91) WARNING: BIOS(BIOS ROM) Resume checksum 0x94BCDFDA doesn't match Image checksum 0x64B553B6       
           d | 06/17/2019 | 23:46:24 | EPOST Warning Messages Motherboard | Miscellaneous | Asserted       
               ELOG(93) WARNING: Extended POST(POST ROM) Resume FW revision 16.74 doesn't match Image revision 16.71       
           e | 06/17/2019 | 23:46:24 | EPOST Warning Messages Motherboard | Miscellaneous | Asserted       
               ELOG(100) WARNING: Extended POST(POST ROM) Resume checksum 0xB14C9638 doesn't match Image checksum 0x298013CE
   
                                                                

 

 

Cause:

 

 

In DDOS 6.2.0.5 and earlier, the required BIOS firmware revision is 37.68, However, the MDU package BIOS firmware version is 37.69. The BMC firmware revision remains the same at 1.80. The Extended POST (ePOST) firmware version is 16.71 and the MDU package version is 16.74.    
   
    If the MDU package was applied in DDOS 6.1.x.x and DDOS version 6.2.0.5 is applied, the required MDU package for 6.2.x.x will have to be applied also. This applies to all DDOS 6.2.x.x versions including up to DDOS version 6.2.0.10. Upgrading to DDOS version over 6.2.0.10 should not require a firmware update. 
                                                           

 

 

Resolution:

 

 

If the symptoms are matched, please do the following:   

         
  •         DO NOT apply the workaround in KB 528162 as it will not work.      
  •      
  •         Instead, install the 6.2.x.x MDU patch as described in KB 533652.      
  •    
                                                             

 

 

Notes:

 

 

Please raise a Service Request or contact your Support Provider should the issue persist even after applying the MDU patch as described in KB 533652